Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061789 - add mutlitarget option
Summary: add mutlitarget option
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: koji
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Mike McLean
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-05 16:01 UTC by Lubos Kocman
Modified: 2016-07-19 19:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 19:28:57 UTC


Attachments (Terms of Use)

Description Lubos Kocman 2014-02-05 16:01:13 UTC
Description of problem:

Hello,

we'd like to have ability to build against target which would automatically expand into many targets.

The use case is to build from single srpm against multiple targets/product releases.

My proposal would be following (may sound dirty) but we'd kill few bugs with it:

patch1: add option for multiple_candidate,tags into target e.g. "tag1,tag2"
patch2: add table row "dest_is_target:TRUE|FALSE"
patch3: client-side check for tag vs targets

Or we can create new table and everything  ...

I could attempt to write a patch if you like the idea.

Comment 1 Lubos Kocman 2014-02-05 16:11:55 UTC
I guess I'd hit some issues with constraints. I'll need to check on that.

Comment 2 Jaroslav Reznik 2015-03-03 15:27:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 3 Fedora Admin XMLRPC Client 2016-03-10 14:44:51 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora End Of Life 2016-07-19 19:28:57 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.